$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formMalla").on("submit", function (e) {
        nuevoMallaCurricular(e);
    });
});

$(document).ready(function () {
    $('#mallaCurricular-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/mallaCurricular.php?op=listar&fil=percar",
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
    combo_periodo();
    combo_carrera();
    combo_asignatura();
});
function combo_asignatura() {
    $.post("../../controller/asignatura.php?op=comboAsignatura", function (data) {
        $('#asignatura').html(data);
    });
}
function combo_periodo() {
    $.post("../../controller/periodo.php?op=comboPeriodo", function (data) {
        $('#periodo').html(data);
    });
}
function combo_carrera() {
    $.post("../../controller/carrera.php?op=comboCarrera", function (data) {
        $('#carrera').html(data);
    });
}
function nuevoMallaCurricular(e) {
    e.preventDefault();
    var formData = new FormData($("#formMalla")[0]);
    $.ajax({
        url: '../../controller/mallaCurricular.php?op=nuevo',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#mallaCurricular-data').DataTable().ajax.reload();
            $('#nuevaMalla').modal('hide');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function configurar(mallacurriculardbk) {
    //window.location = "http://localhost/betasied/view/MallaCurricular/configurar.php?m=" + mallacurriculardbk;
    window.location = "https://cemlad.org/sied/view/MallaCurricular/configurar.php?m=" + mallacurriculardbk;
}
function eliminar(asignaturadbk) {
    swal.fire({
        title: "Eliminar",
        text: "Desea Eliminar el Registro de manera definitiva",
        icon: "error",
        confirmButtonText: "Si",
        showCancelButton: true,
        cancelButtonText: "No",
    }).then((result) => {
        if (result.value) {
            $.post("../../controller/asignatura.php?op=eliminar_asignatura", {asignaturadbk: asignaturadbk}, function (data) {
                $('#asignatura-data').DataTable().ajax.reload();
                Swal.fire({
                    title: 'Operacion Exitosa',
                    text: 'El registro se elimino correctamente',
                    icon: 'success',
                    confirmButtonText: 'Aceptar'
                })
            });
        }
    });
}
function nuevo() {
    $('#carrera').val('').trigger('change');
    $('#periodo').val('').trigger('change');
    $('#asignatura').val('').trigger('change');
    $('#nivel').val('').trigger('change');
    $('#creditos').val('');
    $('#cd').val('');
    $('#cp').val('');
    $('#ca').val('');
    $('#tipo').val('').trigger('change');
    $('#codigo').val('');
    $('#lblTitulo').html('Nuevo Registro');
    $('#formMalla')[0].reset();
    $('#nuevaMalla').modal('show');
}
